Modernize o.e.dlkt.ruby.formatter.tests.

* Bump BREE to Java 1.8.
* Enable more warnings and fix them.
* Enable save actions.
* Fix deprecated usages.

Change-Id: I29ebf7ac5cf3dc95cfe67b9886c6acc282da1e82
Signed-off-by: Alexander Kurtakov <akurtako@redhat.com>
6 files changed
tree: 3606286f3ab8289432a54fd6bd0d39db674b82b6
  1. features/
  2. plugins/
  3. pom.xml
  4. tests/
  5. update.site/